<?php



$tdatavisitas = array();
$tdatavisitas[".searchableFields"] = array();
$tdatavisitas[".ShortName"] = "visitas";
$tdatavisitas[".OwnerID"] = "";
$tdatavisitas[".OriginalTable"] = "Visitas";


$tdatavisitas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatavisitas[".originalPagesByType"] = $tdatavisitas[".pagesByType"];
$tdatavisitas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatavisitas[".originalPages"] = $tdatavisitas[".pages"];
$tdatavisitas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatavisitas[".originalDefaultPages"] = $tdatavisitas[".defaultPages"];

//	field labels
$fieldLabelsvisitas = array();
$fieldToolTipsvisitas = array();
$pageTitlesvisitas = array();
$placeHoldersvisitas = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsvisitas["Portuguese(Standard)"] = array();
	$fieldToolTipsvisitas["Portuguese(Standard)"] = array();
	$placeHoldersvisitas["Portuguese(Standard)"] = array();
	$pageTitlesvisitas["Portuguese(Standard)"] = array();
	$fieldLabelsvisitas["Portuguese(Standard)"]["CodVisita"] = "Cod Visita";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["CodVisita"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["CodVisita"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Data"] = "Data";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Data"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Data"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["CodCliente"] = "Cod Cliente";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["CodCliente"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["CodCliente"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Temperatura"] = "Temperatura";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Temperatura"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Temperatura"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Raiz_Seca"] = "Raiz Seca";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Raiz_Seca"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Raiz_Seca"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Raiz_Hidratada"] = "Raiz Hidratada";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Raiz_Hidratada"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Raiz_Hidratada"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Abrulhada"] = "Abrulhada";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Abrulhada"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Abrulhada"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Raiz_Inteira"] = "Raiz Inteira";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Raiz_Inteira"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Raiz_Inteira"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Raiz_Aparada"] = "Raiz Aparada";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Raiz_Aparada"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Raiz_Aparada"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Raiz_menor_5cm"] = "Raiz Menor 5cm";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Raiz_menor_5cm"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Raiz_menor_5cm"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Plnta_Apertada"] = "Plnta Apertada";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Plnta_Apertada"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Plnta_Apertada"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Larga_Raizes_Novas"] = "Larga Raizes Novas";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Larga_Raizes_Novas"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Larga_Raizes_Novas"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Plantacao_Maquina"] = "Plantacao Maquina";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Plantacao_Maquina"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Plantacao_Maquina"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Plantacao_Hidroinjetor"] = "Plantacao Hidroinjetor";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Plantacao_Hidroinjetor"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Plantacao_Hidroinjetor"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Plantacao_Direta"] = "Plantacao Direta";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Plantacao_Direta"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Plantacao_Direta"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Rega_Instalada"] = "Rega Instalada";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Rega_Instalada"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Rega_Instalada"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Sem_Rega"] = "Sem Rega";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Sem_Rega"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Sem_Rega"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Observacoes"] = "Observacoes";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Observacoes"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Observacoes"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Tx_Sucesso"] = "Tx Sucesso";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Tx_Sucesso"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Tx_Sucesso"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Foto"] = "Foto";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Foto"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Foto"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Latitude"] = "Latitude";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Latitude"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Latitude"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Longitude"] = "Longitude";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Longitude"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Longitude"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Agricultor"] = "Agricultor";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Agricultor"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Agricultor"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["T_cnico"] = "Técnico";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["T_cnico"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["T_cnico"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["vendas"] = "Vendas";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["vendas"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["vendas"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Foto2"] = "Foto2";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Foto2"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Foto2"] = "";
	$fieldLabelsvisitas["Portuguese(Standard)"]["Foto1"] = "Foto1";
	$fieldToolTipsvisitas["Portuguese(Standard)"]["Foto1"] = "";
	$placeHoldersvisitas["Portuguese(Standard)"]["Foto1"] = "";
	if (count($fieldToolTipsvisitas["Portuguese(Standard)"]))
		$tdatavisitas[".isUseToolTips"] = true;
}


	$tdatavisitas[".NCSearch"] = true;



$tdatavisitas[".shortTableName"] = "visitas";
$tdatavisitas[".nSecOptions"] = 0;

$tdatavisitas[".mainTableOwnerID"] = "";
$tdatavisitas[".entityType"] = 0;

$tdatavisitas[".strOriginalTableName"] = "Visitas";

	



$tdatavisitas[".showAddInPopup"] = false;

$tdatavisitas[".showEditInPopup"] = false;

$tdatavisitas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatavisitas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatavisitas[".listAjax"] = false;
//	temporary
$tdatavisitas[".listAjax"] = false;

	$tdatavisitas[".audit"] = false;

	$tdatavisitas[".locking"] = false;


$pages = $tdatavisitas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatavisitas[".edit"] = true;
	$tdatavisitas[".afterEditAction"] = 1;
	$tdatavisitas[".closePopupAfterEdit"] = 1;
	$tdatavisitas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatavisitas[".add"] = true;
$tdatavisitas[".afterAddAction"] = 1;
$tdatavisitas[".closePopupAfterAdd"] = 1;
$tdatavisitas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatavisitas[".list"] = true;
}



$tdatavisitas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatavisitas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatavisitas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatavisitas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatavisitas[".printFriendly"] = true;
}



$tdatavisitas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatavisitas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatavisitas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatavisitas[".isUseAjaxSuggest"] = true;

$tdatavisitas[".rowHighlite"] = true;



			

$tdatavisitas[".ajaxCodeSnippetAdded"] = false;

$tdatavisitas[".buttonsAdded"] = false;

$tdatavisitas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatavisitas[".isUseTimeForSearch"] = false;


$tdatavisitas[".badgeColor"] = "6B8E23";


$tdatavisitas[".allSearchFields"] = array();
$tdatavisitas[".filterFields"] = array();
$tdatavisitas[".requiredSearchFields"] = array();

$tdatavisitas[".googleLikeFields"] = array();
$tdatavisitas[".googleLikeFields"][] = "CodVisita";
$tdatavisitas[".googleLikeFields"][] = "Data";
$tdatavisitas[".googleLikeFields"][] = "CodCliente";
$tdatavisitas[".googleLikeFields"][] = "Temperatura";
$tdatavisitas[".googleLikeFields"][] = "Raiz_Seca";
$tdatavisitas[".googleLikeFields"][] = "Raiz_Hidratada";
$tdatavisitas[".googleLikeFields"][] = "Abrulhada";
$tdatavisitas[".googleLikeFields"][] = "Raiz_Inteira";
$tdatavisitas[".googleLikeFields"][] = "Raiz_Aparada";
$tdatavisitas[".googleLikeFields"][] = "Raiz_menor_5cm";
$tdatavisitas[".googleLikeFields"][] = "Plnta_Apertada";
$tdatavisitas[".googleLikeFields"][] = "Larga_Raizes_Novas";
$tdatavisitas[".googleLikeFields"][] = "Plantacao_Maquina";
$tdatavisitas[".googleLikeFields"][] = "Plantacao_Hidroinjetor";
$tdatavisitas[".googleLikeFields"][] = "Plantacao_Direta";
$tdatavisitas[".googleLikeFields"][] = "Rega_Instalada";
$tdatavisitas[".googleLikeFields"][] = "Sem_Rega";
$tdatavisitas[".googleLikeFields"][] = "Observacoes";
$tdatavisitas[".googleLikeFields"][] = "Tx_Sucesso";
$tdatavisitas[".googleLikeFields"][] = "Latitude";
$tdatavisitas[".googleLikeFields"][] = "Longitude";
$tdatavisitas[".googleLikeFields"][] = "Agricultor";
$tdatavisitas[".googleLikeFields"][] = "Técnico";
$tdatavisitas[".googleLikeFields"][] = "vendas";



$tdatavisitas[".tableType"] = "list";

$tdatavisitas[".printerPageOrientation"] = 0;
$tdatavisitas[".nPrinterPageScale"] = 100;

$tdatavisitas[".nPrinterSplitRecords"] = 40;

$tdatavisitas[".geocodingEnabled"] = false;










$tdatavisitas[".pageSize"] = 999;

$tdatavisitas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatavisitas[".strOrderBy"] = $tstrOrderBy;

$tdatavisitas[".orderindexes"] = array();

$tdatavisitas[".sqlHead"] = "SELECT CodVisita,  	`Data`,  	CodCliente,  	Temperatura,  	Raiz_Seca,  	Raiz_Hidratada,  	Abrulhada,  	Raiz_Inteira,  	Raiz_Aparada,  	Raiz_menor_5cm,  	Plnta_Apertada,  	Larga_Raizes_Novas,  	Plantacao_Maquina,  	Plantacao_Hidroinjetor,  	Plantacao_Direta,  	Rega_Instalada,  	Sem_Rega,  	Observacoes,  	Tx_Sucesso,  	Foto,  	Latitude,  	Longitude,  	Agricultor,  	`Técnico`,  	vendas,  	Foto1,  	Foto2";
$tdatavisitas[".sqlFrom"] = "FROM Visitas";
$tdatavisitas[".sqlWhereExpr"] = "";
$tdatavisitas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatavisitas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatavisitas[".arrGroupsPerPage"] = $arrGPP;

$tdatavisitas[".highlightSearchResults"] = true;

$tableKeysvisitas = array();
$tableKeysvisitas[] = "CodVisita";
$tdatavisitas[".Keys"] = $tableKeysvisitas;


$tdatavisitas[".hideMobileList"] = array();




//	CodVisita
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodVisita";
	$fdata["GoodName"] = "CodVisita";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","CodVisita");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodVisita";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodVisita";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["CodVisita"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "CodVisita";
//	Data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Data";
	$fdata["GoodName"] = "Data";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "Data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Data"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Data";
//	CodCliente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "CodCliente";
	$fdata["GoodName"] = "CodCliente";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","CodCliente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "CodCliente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodCliente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Vinha1";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "CodCliente";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "vendas";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["CodCliente"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "CodCliente";
//	Temperatura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Temperatura";
	$fdata["GoodName"] = "Temperatura";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Temperatura");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Temperatura";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Temperatura";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Temperatura"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Temperatura";
//	Raiz_Seca
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Raiz_Seca";
	$fdata["GoodName"] = "Raiz_Seca";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Raiz_Seca");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Raiz_Seca";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Raiz_Seca";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Raiz_Seca"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Raiz_Seca";
//	Raiz_Hidratada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Raiz_Hidratada";
	$fdata["GoodName"] = "Raiz_Hidratada";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Raiz_Hidratada");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Raiz_Hidratada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Raiz_Hidratada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Raiz_Hidratada"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Raiz_Hidratada";
//	Abrulhada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Abrulhada";
	$fdata["GoodName"] = "Abrulhada";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Abrulhada");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Abrulhada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Abrulhada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Abrulhada"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Abrulhada";
//	Raiz_Inteira
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Raiz_Inteira";
	$fdata["GoodName"] = "Raiz_Inteira";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Raiz_Inteira");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Raiz_Inteira";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Raiz_Inteira";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Raiz_Inteira"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Raiz_Inteira";
//	Raiz_Aparada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "Raiz_Aparada";
	$fdata["GoodName"] = "Raiz_Aparada";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Raiz_Aparada");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Raiz_Aparada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Raiz_Aparada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Raiz_Aparada"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Raiz_Aparada";
//	Raiz_menor_5cm
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "Raiz_menor_5cm";
	$fdata["GoodName"] = "Raiz_menor_5cm";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Raiz_menor_5cm");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Raiz_menor_5cm";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Raiz_menor_5cm";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Raiz_menor_5cm"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Raiz_menor_5cm";
//	Plnta_Apertada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "Plnta_Apertada";
	$fdata["GoodName"] = "Plnta_Apertada";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Plnta_Apertada");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Plnta_Apertada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Plnta_Apertada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Plnta_Apertada"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Plnta_Apertada";
//	Larga_Raizes_Novas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "Larga_Raizes_Novas";
	$fdata["GoodName"] = "Larga_Raizes_Novas";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Larga_Raizes_Novas");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Larga_Raizes_Novas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Larga_Raizes_Novas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Larga_Raizes_Novas"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Larga_Raizes_Novas";
//	Plantacao_Maquina
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "Plantacao_Maquina";
	$fdata["GoodName"] = "Plantacao_Maquina";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Plantacao_Maquina");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Plantacao_Maquina";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Plantacao_Maquina";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Plantacao_Maquina"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Plantacao_Maquina";
//	Plantacao_Hidroinjetor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "Plantacao_Hidroinjetor";
	$fdata["GoodName"] = "Plantacao_Hidroinjetor";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Plantacao_Hidroinjetor");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Plantacao_Hidroinjetor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Plantacao_Hidroinjetor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Plantacao_Hidroinjetor"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Plantacao_Hidroinjetor";
//	Plantacao_Direta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "Plantacao_Direta";
	$fdata["GoodName"] = "Plantacao_Direta";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Plantacao_Direta");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Plantacao_Direta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Plantacao_Direta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Plantacao_Direta"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Plantacao_Direta";
//	Rega_Instalada
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "Rega_Instalada";
	$fdata["GoodName"] = "Rega_Instalada";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Rega_Instalada");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Rega_Instalada";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Rega_Instalada";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Rega_Instalada"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Rega_Instalada";
//	Sem_Rega
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "Sem_Rega";
	$fdata["GoodName"] = "Sem_Rega";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Sem_Rega");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Sem_Rega";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Sem_Rega";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Sem_Rega"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Sem_Rega";
//	Observacoes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "Observacoes";
	$fdata["GoodName"] = "Observacoes";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Observacoes");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "Observacoes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Observacoes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Observacoes"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Observacoes";
//	Tx_Sucesso
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "Tx_Sucesso";
	$fdata["GoodName"] = "Tx_Sucesso";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Tx_Sucesso");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Tx_Sucesso";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tx_Sucesso";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Tx_Sucesso"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Tx_Sucesso";
//	Foto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 20;
	$fdata["strName"] = "Foto";
	$fdata["GoodName"] = "Foto";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Foto");
	$fdata["FieldType"] = 128;

	
	
	
			

		$fdata["strField"] = "Foto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Foto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Database Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

		
			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 1;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Database image");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "NOT Empty";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Foto"] = $fdata;
	//	Latitude
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 21;
	$fdata["strName"] = "Latitude";
	$fdata["GoodName"] = "Latitude";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Latitude");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Latitude";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Latitude";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Latitude"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Latitude";
//	Longitude
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 22;
	$fdata["strName"] = "Longitude";
	$fdata["GoodName"] = "Longitude";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Longitude");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Longitude";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Longitude";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Longitude"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Longitude";
//	Agricultor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 23;
	$fdata["strName"] = "Agricultor";
	$fdata["GoodName"] = "Agricultor";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Agricultor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Agricultor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Agricultor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Agricultor"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Agricultor";
//	Técnico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 24;
	$fdata["strName"] = "Técnico";
	$fdata["GoodName"] = "T_cnico";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","T_cnico");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Técnico";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`Técnico`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Técnico"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "Técnico";
//	vendas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 25;
	$fdata["strName"] = "vendas";
	$fdata["GoodName"] = "vendas";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","vendas");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "vendas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vendas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Vinha1";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "CodCliente";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "concat(CodMarza,' ',Quantidade)";

	

		$edata["CustomDisplay"] = "true";

	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "CodCliente", "lookup" => "CodCliente" );

	
	

	
		$edata["Multiselect"] = true;

		$edata["SelectSize"] = 10;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["vendas"] = $fdata;
		$tdatavisitas[".searchableFields"][] = "vendas";
//	Foto1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 26;
	$fdata["strName"] = "Foto1";
	$fdata["GoodName"] = "Foto1";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Foto1");
	$fdata["FieldType"] = 128;

	
	
	
			

		$fdata["strField"] = "Foto1";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Foto1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Database Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

		
			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 1;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Database image");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "NOT Empty";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Foto1"] = $fdata;
	//	Foto2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 27;
	$fdata["strName"] = "Foto2";
	$fdata["GoodName"] = "Foto2";
	$fdata["ownerTable"] = "Visitas";
	$fdata["Label"] = GetFieldLabel("Visitas","Foto2");
	$fdata["FieldType"] = 128;

	
	
	
			

		$fdata["strField"] = "Foto2";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Foto2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Database Image");

	
	
				$vdata["ImageWidth"] = 600;
	$vdata["ImageHeight"] = 400;

		
			$vdata["showGallery"] = true;
	$vdata["galleryMode"] = 2;
	$vdata["captionMode"] = 1;
	$vdata["captionField"] = "";

	$vdata["imageBorder"] = 1;
	$vdata["imageFullWidth"] = 1;


	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Database image");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
				$edata["ResizeImage"] = true;
				$edata["NewSize"] = 600;

	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatavisitas["Foto2"] = $fdata;
	

$tables_data["Visitas"]=&$tdatavisitas;
$field_labels["Visitas"] = &$fieldLabelsvisitas;
$fieldToolTips["Visitas"] = &$fieldToolTipsvisitas;
$placeHolders["Visitas"] = &$placeHoldersvisitas;
$page_titles["Visitas"] = &$pageTitlesvisitas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Visitas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Visitas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_visitas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CodVisita,  	`Data`,  	CodCliente,  	Temperatura,  	Raiz_Seca,  	Raiz_Hidratada,  	Abrulhada,  	Raiz_Inteira,  	Raiz_Aparada,  	Raiz_menor_5cm,  	Plnta_Apertada,  	Larga_Raizes_Novas,  	Plantacao_Maquina,  	Plantacao_Hidroinjetor,  	Plantacao_Direta,  	Rega_Instalada,  	Sem_Rega,  	Observacoes,  	Tx_Sucesso,  	Foto,  	Latitude,  	Longitude,  	Agricultor,  	`Técnico`,  	vendas,  	Foto1,  	Foto2";
$proto0["m_strFrom"] = "FROM Visitas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CodVisita",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto6["m_sql"] = "CodVisita";
$proto6["m_srcTableName"] = "Visitas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Data",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto8["m_sql"] = "`Data`";
$proto8["m_srcTableName"] = "Visitas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "CodCliente",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto10["m_sql"] = "CodCliente";
$proto10["m_srcTableName"] = "Visitas";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Temperatura",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto12["m_sql"] = "Temperatura";
$proto12["m_srcTableName"] = "Visitas";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Raiz_Seca",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto14["m_sql"] = "Raiz_Seca";
$proto14["m_srcTableName"] = "Visitas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Raiz_Hidratada",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto16["m_sql"] = "Raiz_Hidratada";
$proto16["m_srcTableName"] = "Visitas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Abrulhada",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto18["m_sql"] = "Abrulhada";
$proto18["m_srcTableName"] = "Visitas";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "Raiz_Inteira",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto20["m_sql"] = "Raiz_Inteira";
$proto20["m_srcTableName"] = "Visitas";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "Raiz_Aparada",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto22["m_sql"] = "Raiz_Aparada";
$proto22["m_srcTableName"] = "Visitas";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "Raiz_menor_5cm",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto24["m_sql"] = "Raiz_menor_5cm";
$proto24["m_srcTableName"] = "Visitas";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "Plnta_Apertada",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto26["m_sql"] = "Plnta_Apertada";
$proto26["m_srcTableName"] = "Visitas";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "Larga_Raizes_Novas",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto28["m_sql"] = "Larga_Raizes_Novas";
$proto28["m_srcTableName"] = "Visitas";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "Plantacao_Maquina",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto30["m_sql"] = "Plantacao_Maquina";
$proto30["m_srcTableName"] = "Visitas";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "Plantacao_Hidroinjetor",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto32["m_sql"] = "Plantacao_Hidroinjetor";
$proto32["m_srcTableName"] = "Visitas";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "Plantacao_Direta",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto34["m_sql"] = "Plantacao_Direta";
$proto34["m_srcTableName"] = "Visitas";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "Rega_Instalada",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto36["m_sql"] = "Rega_Instalada";
$proto36["m_srcTableName"] = "Visitas";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "Sem_Rega",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto38["m_sql"] = "Sem_Rega";
$proto38["m_srcTableName"] = "Visitas";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "Observacoes",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto40["m_sql"] = "Observacoes";
$proto40["m_srcTableName"] = "Visitas";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "Tx_Sucesso",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto42["m_sql"] = "Tx_Sucesso";
$proto42["m_srcTableName"] = "Visitas";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
						$proto44=array();
			$obj = new SQLField(array(
	"m_strName" => "Foto",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto44["m_sql"] = "Foto";
$proto44["m_srcTableName"] = "Visitas";
$proto44["m_expr"]=$obj;
$proto44["m_alias"] = "";
$obj = new SQLFieldListItem($proto44);

$proto0["m_fieldlist"][]=$obj;
						$proto46=array();
			$obj = new SQLField(array(
	"m_strName" => "Latitude",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto46["m_sql"] = "Latitude";
$proto46["m_srcTableName"] = "Visitas";
$proto46["m_expr"]=$obj;
$proto46["m_alias"] = "";
$obj = new SQLFieldListItem($proto46);

$proto0["m_fieldlist"][]=$obj;
						$proto48=array();
			$obj = new SQLField(array(
	"m_strName" => "Longitude",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto48["m_sql"] = "Longitude";
$proto48["m_srcTableName"] = "Visitas";
$proto48["m_expr"]=$obj;
$proto48["m_alias"] = "";
$obj = new SQLFieldListItem($proto48);

$proto0["m_fieldlist"][]=$obj;
						$proto50=array();
			$obj = new SQLField(array(
	"m_strName" => "Agricultor",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto50["m_sql"] = "Agricultor";
$proto50["m_srcTableName"] = "Visitas";
$proto50["m_expr"]=$obj;
$proto50["m_alias"] = "";
$obj = new SQLFieldListItem($proto50);

$proto0["m_fieldlist"][]=$obj;
						$proto52=array();
			$obj = new SQLField(array(
	"m_strName" => "Técnico",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto52["m_sql"] = "`Técnico`";
$proto52["m_srcTableName"] = "Visitas";
$proto52["m_expr"]=$obj;
$proto52["m_alias"] = "";
$obj = new SQLFieldListItem($proto52);

$proto0["m_fieldlist"][]=$obj;
						$proto54=array();
			$obj = new SQLField(array(
	"m_strName" => "vendas",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto54["m_sql"] = "vendas";
$proto54["m_srcTableName"] = "Visitas";
$proto54["m_expr"]=$obj;
$proto54["m_alias"] = "";
$obj = new SQLFieldListItem($proto54);

$proto0["m_fieldlist"][]=$obj;
						$proto56=array();
			$obj = new SQLField(array(
	"m_strName" => "Foto1",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto56["m_sql"] = "Foto1";
$proto56["m_srcTableName"] = "Visitas";
$proto56["m_expr"]=$obj;
$proto56["m_alias"] = "";
$obj = new SQLFieldListItem($proto56);

$proto0["m_fieldlist"][]=$obj;
						$proto58=array();
			$obj = new SQLField(array(
	"m_strName" => "Foto2",
	"m_strTable" => "Visitas",
	"m_srcTableName" => "Visitas"
));

$proto58["m_sql"] = "Foto2";
$proto58["m_srcTableName"] = "Visitas";
$proto58["m_expr"]=$obj;
$proto58["m_alias"] = "";
$obj = new SQLFieldListItem($proto58);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto60=array();
$proto60["m_link"] = "SQLL_MAIN";
			$proto61=array();
$proto61["m_strName"] = "Visitas";
$proto61["m_srcTableName"] = "Visitas";
$proto61["m_columns"] = array();
$proto61["m_columns"][] = "CodVisita";
$proto61["m_columns"][] = "Data";
$proto61["m_columns"][] = "CodCliente";
$proto61["m_columns"][] = "Temperatura";
$proto61["m_columns"][] = "Raiz_Seca";
$proto61["m_columns"][] = "Raiz_Hidratada";
$proto61["m_columns"][] = "Abrulhada";
$proto61["m_columns"][] = "Raiz_Inteira";
$proto61["m_columns"][] = "Raiz_Aparada";
$proto61["m_columns"][] = "Raiz_menor_5cm";
$proto61["m_columns"][] = "Plnta_Apertada";
$proto61["m_columns"][] = "Larga_Raizes_Novas";
$proto61["m_columns"][] = "Plantacao_Maquina";
$proto61["m_columns"][] = "Plantacao_Hidroinjetor";
$proto61["m_columns"][] = "Plantacao_Direta";
$proto61["m_columns"][] = "Rega_Instalada";
$proto61["m_columns"][] = "Sem_Rega";
$proto61["m_columns"][] = "Observacoes";
$proto61["m_columns"][] = "Tx_Sucesso";
$proto61["m_columns"][] = "Foto";
$proto61["m_columns"][] = "Latitude";
$proto61["m_columns"][] = "Longitude";
$proto61["m_columns"][] = "Agricultor";
$proto61["m_columns"][] = "Técnico";
$proto61["m_columns"][] = "vendas";
$proto61["m_columns"][] = "Foto1";
$proto61["m_columns"][] = "Foto2";
$obj = new SQLTable($proto61);

$proto60["m_table"] = $obj;
$proto60["m_sql"] = "Visitas";
$proto60["m_alias"] = "";
$proto60["m_srcTableName"] = "Visitas";
$proto62=array();
$proto62["m_sql"] = "";
$proto62["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto62["m_column"]=$obj;
$proto62["m_contained"] = array();
$proto62["m_strCase"] = "";
$proto62["m_havingmode"] = false;
$proto62["m_inBrackets"] = false;
$proto62["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto62);

$proto60["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto60);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Visitas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_visitas = createSqlQuery_visitas();


	
		;

																											

$tdatavisitas[".sqlquery"] = $queryData_visitas;

$tableEvents["Visitas"] = new eventsBase;
$tdatavisitas[".hasEvents"] = false;

?>